CREATE PROCEDURE [dbo].[SP_DCL_SUPPORTING_TOOLS_AUTO_DELETE]
AS
BEGIN
SET NOCOUNT ON;

--find start date
DECLARE @beginDate DATE = CONVERT(varchar(4),YEAR(DATEADD(month,-2,getdate()))) + '-' + CONVERT(varchar(2),MONTH(DATEADD(month,-2,getdate()))) + '-01'

BEGIN TRY
BEGIN TRANSACTION DELETE_DATAS

--delete datas from TB_R_DCL_TLMS_DRIVER_DATA
DELETE FROM dbo.TB_R_DCL_TLMS_DRIVER_DATA 
WHERE CONVERT(date, RTEDATE, 120) < @beginDate

--delete datas from TB_R_DCL_TLMS_ORDER_ASSIGNMENT
DELETE FROM dbo.TB_R_DCL_TLMS_ORDER_ASSIGNMENT 
WHERE CONVERT(date, RTEDATE, 120) < @beginDate

--delete datas from TB_R_PLANE
--DELETE FROM dbo.TB_R_PLANE 
--WHERE CONVERT(date, RTEDATE, 120) BETWEEN @beginDate

COMMIT TRANSACTION DELETE_DATAS
END TRY

BEGIN CATCH
ROLLBACK TRANSACTION DELETE_DATAS

DECLARE @ErrorMessage NVARCHAR(4000);
DECLARE @ErrorSeverity INT;
DECLARE @ErrorState INT;

SELECT 
@ErrorMessage = ERROR_MESSAGE(),
@ErrorSeverity = ERROR_SEVERITY(),
@ErrorState = ERROR_STATE();

RAISERROR (@ErrorMessage, -- Message text.
   @ErrorSeverity, -- Severity.
   @ErrorState -- State.
   );
return

END CATCH

END

